#ifndef BOARD_h
#define BOARD_h

#include <sstream>
#include <vector>
#include "Directions.h"

class Board {
public:
	std::pair<int, int> playerPos[2];
	std::vector<std::vector<bool> > b;
	Board();
	Board(std::stringstream &stream);
	std::vector<BoardMove> LegalMoves(int playerId);
	Board Simulate(int id0, BoardMove move0, int id1, BoardMove move1);
	void Debug();
};

#endif
